### Enumeration

# GObject SignalFlags

#### Declaration

    flags GObject.SignalFlags

#### Description

The signal flags are used to specify a signal’s behaviour.

#### Members

`G_SIGNAL_RUN_FIRST`

  Invoke the object method handler in the first emission stage.

  - Value: `1`
  - Available since: 2.0
`G_SIGNAL_RUN_LAST`

  Invoke the object method handler in the third emission stage.

  - Value: `2`
  - Available since: 2.0
`G_SIGNAL_RUN_CLEANUP`

  Invoke the object method handler in the last emission stage.

  - Value: `4`
  - Available since: 2.0
`G_SIGNAL_NO_RECURSE`

  Signals being emitted for an object while currently being in emission for this very object will not be emitted recursively, but instead cause the first emission to be restarted.

  - Value: `8`
  - Available since: 2.0
`G_SIGNAL_DETAILED`

  This signal supports “::detail” appendices to the signal name upon handler connections and emissions.

  - Value: `16`
  - Available since: 2.0
`G_SIGNAL_ACTION`

  Action signals are signals that may freely be emitted on alive objects from user code via `g_signal_emit()` and friends, without the need of being embedded into extra code that performs pre or post emission adjustments on the object. They can also be thought of as object methods which can be called generically by third-party code.

  - Value: `32`
  - Available since: 2.0
`G_SIGNAL_NO_HOOKS`

  No emissions hooks are supported for this signal.

  - Value: `64`
  - Available since: 2.0
`G_SIGNAL_MUST_COLLECT`

  Varargs signal emission will always collect the arguments, even if there are no signal handlers connected. Since 2.30.

  - Value: `128`
  - Available since: 2.0
`G_SIGNAL_DEPRECATED`

  The signal is deprecated and will be removed in a future version. A warning will be generated if it is connected while running with G_ENABLE_DIAGNOSTIC=1. Since 2.32.

  - Value: `256`
  - Available since: 2.0
`G_SIGNAL_ACCUMULATOR_FIRST_RUN`

  Only used in `GSignalAccumulator` accumulator functions for the `GSignalInvocationHint::run_type` field to mark the first call to the accumulator function for a signal emission. Since 2.68.

  - Value: `131072`
  - Available since: 2.0